<?php

use App\Http\Controllers\CouponController;
use App\Http\Controllers\SkyxuController;
use App\Http\Controllers\TestController;
use App\Http\Controllers\IndexController;
use App\Http\Controllers\ToolsController;
use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Route::get('/', [IndexController::class, 'index'])->name('index');
Route::get('/test', [TestController::class, 'index'])->name('test');

Route::get('/skyxu', [SkyxuController::class, 'index'])->name('skyxu');
Route::get('/coupon', [CouponController::class, 'index'])->name('coupon');

Route::group([
    'prefix' => 'tools',
], function (Router $router) {
    /**
     * 小工具
     */
    $router->get('grant', [ToolsController::class, 'grant'])->name('tools.grant');
    $router->get('verify', [ToolsController::class, 'verify'])->name('tools.verify');
    $router->get('query', [ToolsController::class, 'query'])->name('tools.query');
    $router->get('destroy', [ToolsController::class, 'destroy'])->name('tools.destroy');
    $router->get('getsign', [ToolsController::class, 'getSign'])->name('tools.getsign');
});

